<template>
  <div id="app">
    <registration :users="unregisteredUsers" @userRegistered="userRegistered"></registration>
    <registrations :registrations="registrations" @unregister="unregister"></registrations>

  </div>
</template>

<script>
import Registration from './components/Registration.vue'
import Registrations from './components/Registrations.vue'

export default {
  components:{
    Registration,
    Registrations
  },
  data() {
    return {
      registrations: [],
      users:[
        {id: 1, name: 'Max', registered: false},
        {id: 2, name: 'Anna', registered: false},
        {id: 3, name: 'Chris', registered: false},
        {id: 4, name: 'Sven', registered: false}
      ]
    }
  },
  computed:{
    unregisteredUsers(){
      return this.users.filter((user)=>{
        return !user.registered
      })
    }
  },
  methods:{
    userRegistered(user){
        let date=new Date();
        this.registrations.push({userId:user.id,name:user.name,date:date})
    },
    unregister(registration){
      const user=this.users.find(user=>{
        return user.id== registration.userId
      });
      user.registered=false;
      this.registrations.splice(this.registrations.indexOf(registration),1)
      
    }
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
